.header{
    position: relative;
    background-color: var(--color-white);
    width: 100%;
    transition: transform 0.3s ease;
}

.header.fixed{
    position: fixed;
    box-shadow: 0 0px 19px rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    top: 0;
    left: 0;
    z-index: 9999;
}

.header.fixed .top-header {
    background: var(--primary-color);
    color: #fff;
}

.top-header{    
    width: 100%;
    padding: calc(var(--spacing) * 2) 0;
    background: var(--primary-color);
    color: #fff;
}
.th-wrapper{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 8px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: space-between;
    padding: 0;
    margin: 0;
}
.th-wrapper .th-right {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 9px;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 0;
    color: #000;
    text-decoration: none;
    background: transparent;
    border-radius: 100px;
}
.link-icon-secondary{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 9px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 4px 16px 4px 4px;
    color: #000;
    text-decoration: none;
    background-color: #fff;
    border-radius: 100px;
}
.link-icon-secondary .icon-header-secondary {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    background: rgb(0, 0, 0, 0.1);
    border-radius: 50px;
    
    position: relative;

}
.link-icon-secondary .icon-header-secondary path{
    fill: #000;
}

.link-icon-secondary:hover {
    background-color: #696AB0;
    color: #fff;
}

.link-icon-secondary:hover .icon-header-secondary{
    background: #fff;
}
.alert-count{
    position: absolute;
    top: -7px;
    right: -6px;
    background: #ff0000;
    color: #fff;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}
.language-dropdown{
    position: relative;
}
.dropdown-menu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    list-style: none;
    padding: 0;
    margin: 0;
    background: white;
    border: 1px solid #ccc;
    border-radius: 3px;
    width: 100%;
    z-index: 999999999999999;
    flex-direction: column;
    padding: 1rem 0;
    gap: 1rem;
    align-items: center;
}

.dropdown-menu li a {
    display: block;
    padding: 5px 10px;
    text-decoration: none;
    color: black;
}

.dropdown-menu li a.active {
    font-weight: bold;
    text-decoration: underline;
}

/* Affiche le menu au hover */
.language-dropdown:hover .dropdown-menu {
    display: flex;
}


.th-menu{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: calc(var(--spacing) * 5);
    font-size: 14px;
}

.header-nav{    
    border-top: 0;
    border-bottom: 0;
    border-color: var(--border);
    border-style: solid;
    padding: 0;
    border: 0;
}

.header-nav .header-row{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: calc(var(--spacing) * 10);
}
.header-logo img{
    width: 200px;
    height: auto;
}

/*menu*/
.jd-navbar .jd-menu{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: calc(var(--spacing) * 5);
}

.header-right{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: calc(var(--spacing) * 2);
}
.banner-sms {
    top: 0;
    width: auto;
    background: #1ca3ae;
    color: #fff;
    padding: 12px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    z-index: 9999;
    font-family: Arial, sans-serif;
}

.banner-sms-text {
    font-size: 14px;
}

.banner-sms-link {
    color: #38bdf8;
    text-decoration: underline;
}

.banner-sms-btn {
    background: gold;
    color: white;
    padding: 6px 12px;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
    
}

.banner-sms-btn:hover {
    background: #16a34a;
}

.banner-sms-close {
    background: transparent;
    border: none;
    color: white;
    font-size: 18px;
    cursor: pointer;
}

.banner-sms-wrapper{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.banner-sms-wrapper .text{
    width: 100%;
    text-align: center;
}
@media (max-width: 992px) {
    .th-wrapper .th-right{
        align-items: center;
        justify-content: space-between;
        width: 100%;
    }
    .link-icon-secondary .icon-header-secondary {
        width: 48px;
        height: 48px;
    }
    .top-header {
       padding: calc(var(--spacing) * 3) 0;
    }
    .header-nav {
        border: 0;
        
        padding: calc(var(--spacing) * 6) 0;
    }

    
}
@media (max-width: 767px) {
    .th-wrapper .th-right .link-icon-secondary .text{
        display: none;
    }
    .link-icon-secondary {
        padding: 4px;
    }
    .th-wrapper .th-right .link-icon-secondary .lang{
        padding-right: 16px;
    }

    .banner-sms-wrapper .text{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 5px;
    }

    .banner-sms-btn {
        min-height: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
}

@media (max-width: 580px) {
    .container {
        display: block;
        width: auto;
    }
}


